Attribute VB_Name = "Attacks"
Dim AttackValue As Integer
'*********************************************************************
'Hero Attacks
'*********************************************************************
Public Sub HeroAttack()
    'SUBTRACTS ATTACK FROM ENEMIES HEALTH
    AttackValue = (Hero.Attack - Enemies(BattleStats.AttackEnemy).Defence)
    Enemies(BattleStats.AttackEnemy).Health = Enemies(BattleStats.AttackEnemy).Health - AttackValue
    'DISPLAY CODE(sets up battle graphics)
    With frmBattle
        'HERO SETTINGS
        .imgHeroAttack.Top = .imgEnemy(BattleStats.AttackEnemy).Top - 120
        .imgHeroAttack.Left = .imgEnemy(BattleStats.AttackEnemy).Left + 120
        .imgHero.Visible = False
        .imgHeroAttack.Visible = True
        'ENEMY SETTINGS
        .lblEnemyInfo.Visible = True
        .lblEnemyInfo.Caption = "-" & AttackValue
        .lblEnemyInfo.Top = .imgEnemy(BattleStats.AttackEnemy).Top - 240
        .lblEnemyInfo.Left = .imgEnemy(BattleStats.AttackEnemy).Left + 120
        'INFO & TIMER
        .shpInfo.Visible = True
        .lblInfo.Visible = True
        .lblInfo.Caption = "The Hero attacked Enemy " & BattleStats.AttackEnemy & "."
        .TimerSeconds = 0
        .tmrHeroAttack.Enabled = True
        'SETS INTELLIGENCE
        HData.AttackStrength = AttackValue
    End With
End Sub
Public Sub HeroMagic()
    'SUBTRACTS MAGIC FROM ENEMY HEALTH
    AttackValue = (Hero.Magic - Enemies(BattleStats.AttackEnemy).MagDef)
    Enemies(BattleStats.AttackEnemy).Health = Enemies(BattleStats.AttackEnemy).Health - AttackValue
    'DISPLAY CODE (sets up battle graphics)
    With frmBattle
        'MAGIC SETTINGS
        .imgMagic.Top = .imgEnemy(BattleStats.AttackEnemy).Top - 30
        .imgMagic.Left = .imgEnemy(BattleStats.AttackEnemy).Left - 70
        .imgMagic.Visible = True
        'ENEMY SETTINGS
        .lblEnemyInfo.Visible = True
        .lblEnemyInfo.Caption = "-" & AttackValue
        .lblEnemyInfo.Top = .imgEnemy(BattleStats.AttackEnemy).Top - 240
        .lblEnemyInfo.Left = .imgEnemy(BattleStats.AttackEnemy).Left + 120
        'INFO & TIMER
        .shpInfo.Visible = True
        .lblInfo.Visible = True
        .lblInfo.Caption = "The Hero used Magic on Enemy " & BattleStats.AttackEnemy & "."
        .TimerSeconds = 0
        .tmrHeroAttack.Enabled = True
        'SETS INTELLIGENCE
        HData.MagicStrength = AttackValue
    End With
End Sub
Public Sub HeroCure()
    'ADDS HEALTH TO HERO'S HEALTH
    Hero.Health = Hero.Health + Hero.Magic
    If Hero.Health > Hero.HealthMax Then Hero.Health = Hero.HealthMax
    'DISPLAY CODE (sets up battle graphics)
    With frmBattle
        'CURE DISPLAY SETTINGS
        .lblCure.Top = 1920: .lblCure.Left = 4440
        .lblCure.Visible = True
        .lblCure.Caption = "+" & Hero.Magic
        .imgCure.Visible = True
        .imgCure.Top = 2160: .imgCure.Left = 3960
        'INFO & TIMER
        .shpInfo.Visible = True
        .lblInfo.Visible = True
        .lblInfo.Caption = "Hero gained " & Hero.Magic & " using Cure."
        .TimerSeconds = 0
        .tmrCure.Enabled = True
    End With
End Sub
'*********************************************************************
'Enemy Attacks
'*********************************************************************
Public Sub EnemyAttack()
    'SUBTRACTS ATTACK FROM HERO's HEALTH
    AttackValue = (Enemies(BattleStats.CharTurn).Attack - Hero.Defence)
    Hero.Health = Hero.Health - AttackValue
    'DISPLAY CODE (sets up battle graphics)
    With frmBattle
        'ENEMY SETTINGS
        .imgEnemy(BattleStats.CharTurn).Visible = False
        .imgEnemyAttack.Visible = True
        .imgEnemyAttack.Top = 2040: .imgEnemyAttack.Left = 4200
        'HERO INFO
        .lblHeroInfo.Visible = True
        .lblHeroInfo.Top = 1800: .lblHeroInfo.Left = 3720
        .lblHeroInfo.Caption = "-" & AttackValue
        'INFO & TIMER
        .shpInfo.Visible = True
        .lblInfo.Visible = True
        .lblInfo.Caption = "Enemy " & BattleStats.CharTurn & " attacked Hero."
        .TimerSeconds = 0
        .tmrEnemyAttack.Enabled = True
        'SETS INTELLIGENCE
        SetEnemiesBestStrength (AttackValue)
    End With
End Sub
Public Sub EnemySuicide()
    'SUBTRACTS ATTACK FROM HERO's HEALTH
    AttackValue = (Enemies(BattleStats.CharTurn).Suicide - Hero.Defence)
    Hero.Health = Hero.Health - AttackValue
    Enemies(BattleStats.CharTurn).Health = 0 'Kills itself
    'DISPLAY CODE (sets up battle graphics)
    With frmBattle
        'ENEMY SETTINGS
        .imgEnemy(BattleStats.CharTurn).Visible = False
        .imgSuicide.Visible = True
        .imgSuicide.Top = 2040: .imgSuicide.Left = 3840
        'HERO INFO
        .lblHeroInfo.Visible = True
        .lblHeroInfo.Top = 1800: .lblHeroInfo.Left = 3720
        .lblHeroInfo.Caption = "-" & AttackValue
        'INFO & TIMER
        .shpInfo.Visible = True
        .lblInfo.Visible = True
        .lblInfo.Caption = "Enemy " & BattleStats.CharTurn & " used Suicide on Hero."
        .TimerSeconds = 0
        .tmrEnemyAttack.Enabled = True
        'SETS INTELLIGENCE
        SetEnemiesBestStrength (AttackValue)
    End With
End Sub
